eureka:
  client:
    service-url:
      defaultZone: http://localhost:8761/eureka
hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 20000
ribbon:
  ConnectTimeout: 3000
  ReadTimeout: 10000
server:
  port: 8090
spring:
  application:
    name: zuul-service
zuul:
  routes:
    items:
      path: /api-item/**
      service-id: item-service
    oauth:
      path: /api-oauth/**
      sensitive-headers: Cookie,Set-Cookie
      service-id: oauth-service
    products:
      path: /api-product/**
      service-id: product-service
    users:
      path: /api-user/**
      service-id: user-service
